Webhooks API
Delete webhook event
Delete an event from a webhook.
DELETE
/
v2
/
session
/
apps
/
{appID}
/
webhooks
/
{webhookID}
/
events
Delete webhook event
curl --request DELETE \
--url https://api.prelude.dev/v2/session/apps/{appID}/webhooks/{webhookID}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.prelude.dev/v2/session/apps/{appID}/webhooks/{webhookID}/events"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.prelude.dev/v2/session/apps/{appID}/webhooks/{webhookID}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook": {
"id": "<string>",
"url": "<string>",
"events": [],
"active": true,
"last_http_code": 123,
"last_http_code_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"code": "session_disabled",
"status": "forbidden",
"message": "<string>"
}{
"code": "app_not_found",
"status": "not_found",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the app the request refers to. An application's unique identifier.
Examples:
"54e9ujn"
"fvua38g"
The id of the webhook the request refers to. An application's webhook unique identifier. It is prefixed with 'web_'
Example:
"web_01jqebhswje1ka1z7ahr9rfsgt"
Body
application/json
Available options:
user.created, user.deleted, user.profile.updated, user.identifier.created, user.identifier.deleted, user.session.created, user.session.revoked, user.passkey.registered, user.passkey.deleted, user.passkey.assertion_failed, migration.hook_failed, step_up.hook_failed Response
OK
Show child attributes
Show child attributes
⌘I
Delete webhook event
